$(function(){
	//获取成员信息
	function getMemberNews(){
		$.ajax({
			url:'/user/do_get',
			type:'get',
			data:{
				id:rightMemberId,
				orgId:rightDepartmentId
			},
			success:function(data){
				if( data.success ){
					if( data.data.loginName=='admin' || data.data.loginName=='businessAdmin' ){
						$('.updateUser').remove();
					};
					$(".yk_orgContentTitle .name").text(data.data.name)
					$(".mobile").text(data.data.mobile);
					$(".email").text(data.data.email);
					$(".loginName").text(data.data.loginName);
					$(".depart").text(data.data.relativeName.substring(0,data.data.relativeName.length-1));
					$(".jobNumber").text(data.data.jobNumber);
					$(".position").text(data.data.position);
					$(".tel").text(data.data.tel);
					$(".rank").text(data.data.rank?data.data.rank:'');
					//$(".followType").text(data.data.followType == undefined?'':(data.data.followType == 0?'一般跟投':'强制跟投'));
					if(data.data.followType == undefined) {
						$(".followType").text('')
					}else {
						if(data.data.followType == 0) {
							$(".followType").text('一般跟投')
						}else if(data.data.followType == 1) {
							$(".followType").text('强制跟投')
						}else {
							$(".followType").text('不可跟投')
						}
					}
					if( data.data.headImgUrl ){
						$(".yk_addPicture img").attr({"src":data.data.headImgUrl,'haveimg':true})
					};
					data.data.userIdentityDisplayName == '上级'?$(".identify").text('负责人'):$(".identify").text('普通员工');
					if( data.data.enabled ){
						$(".enable").text("启用");
					}else{
						$(".enable").text("禁用");
					}
					if(data.data.relationDingDing){
						$(".relationDingDing").text("是");
					}else{
						$(".relationDingDing").text("否");
					};
					// 身份
					var identitystr = '';
					for( var i=0;i<data.data.userOrgRelList.length;i++ ){
						var idenityDetail = data.data.userOrgRelList[i].userIdentity?'负责人':'普通员工';
						identitystr += '<tr><td>'+data.data.userOrgRelList[i].orgName+'身份：</td><td width="85%" style="background:#fff;" class="identify">'+idenityDetail+'</td></tr>'
					};
					i = null;
					$(".viewMemberbox").append(identitystr)
				}else{
					new $.zui.Messager('获取成员信息失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager('获取成员信息错误:'+status, {
				    type: 'danger'
				 }).show();	
			}
		})
	};
	getMemberNews();
	
	//'身份'参数名称鼠标移入显示全部文字
	//$(".viewMemberbox").on('mouseover','.userIdentitylabel',function(){$(this).parent().find('.userIdentityTip').remove().end().append('<span class="userIdentityTip">'+$(this).text()+'</span>')});
	//$(".viewMemberbox").on('mouseleave','.userIdentitylabel',function(){$(this).parent().find('.userIdentityTip').remove()});
	
	//点击头像显示大图
	$(".yk_addPicture").click(function(){
		$("#myModal-viewBigHeadimg").modal('show');
		$("#myModal-viewBigHeadimg img").attr('src',$(this).find('img').attr('src'));
		//如果浏览器支持naturalWidth获取图片原始宽度,再做以下处理
		if( $(this).find('img').get(0).naturalWidth ){
			var realImgewidth = $(this).find('img').get(0).naturalWidth;
			var realImgeheight = $(this).find('img').get(0).naturalHeight;
			if( $('body').width()*0.8 < realImgewidth ){//显示的图片宽度为原始宽度的80%,显示高度需要计算
				var falseheight = realImgeheight*($('body').width()*0.8)/realImgewidth;
				if( falseheight < $('body').height()-40 ){
					$("#myModal-viewBigHeadimg img").css({'margin-top':($('body').height()-falseheight)/2+'px','margin-bottom':'0px'})
				}else{
					$("#myModal-viewBigHeadimg img").css({'margin-top':'20px','margin-bottom':'20px'})
				}
			}else{//显示的图片宽度为原始宽度,高度为原始高度
				if( realImgeheight < $('body').height()-40 ){
					$("#myModal-viewBigHeadimg img").css({'margin-top':($('body').height()-realImgeheight)/2+'px','margin-bottom':'0px'})
				}else{
					$("#myModal-viewBigHeadimg img").css({'margin-top':'20px','margin-bottom':'20px'})
				}
			};
		}
	});
	$("#myModal-viewBigHeadimg").click(function(){$("#myModal-viewBigHeadimg").modal('hide')})
	
	//编辑成员
	$(".updateUser").click(function(){
		$(".yk_orgContent").load('/org/updateMember');
	})
})